> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Create Files

> Discover how to upload the evidence files to Docusign's secure storage system for use in digital signature transactions.

`POST /restapi/{apiVersion}/signature/files?uploadType=multipart`

This call allows the Trust Service Provider (TSP) to upload evidence files to Docusign's secure storage system for use in digital signature transactions.

**Request Header Parameters**

The following header parameters apply to the TSP API and the CMS API calls.

| Name                        | Type   | Description                                                                                                                     |
| --------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------- |
| Authentication              | String | Required. See [Authentication](/docs/tsp-api/tsp101/tsp-authentication).                                                        |
| Content-Type                | String | Required. Specifies the type of data returned in the request body. This parameter must be set to `multipart/form-data`.         |
| X-Docusign-CorrelationToken | GUID   | Optional. ID used for telemetry. Docusign recommends that you set up a correlation token for all the TSP API and CMS API calls. |

**Request Query Parameters**

This table provides descriptions of the query parameters in the request.

| Name       | Type   | Description                                                                                 |
| ---------- | ------ | ------------------------------------------------------------------------------------------- |
| uploadType | String | Required. Specifies the upload type of the file. This parameter must be set to `multipart`. |

**Request Body Parameters**

This table provides descriptions of the information in the request body.

| Name  | Description                                                                                                                                      |
| ----- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| files | Required. One or more files can be uploaded. Each file should be sent as a separate part in the multipart form data with the field name "files". |

**Response Information**

If successful, the endpoint returns an HTTP status code without a response body.

| Status Code | Description                                     |
| ----------- | ----------------------------------------------- |
| 200         | Files were successfully uploaded and processed. |

**`Request syntax`**

```json title="Request syntax"
POST /restapi/2.1/signature/files?uploadType=multipart HTTP/1.1
Host: ...
Content-Length: 427
Content-Type: multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW

------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="files"; filename="file1.json"
Content-Type: application/json

(data)
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="files"; filename="file2.pdf"
Content-Type: application/pdf

(data)
------WebKitFormBoundary7MA4YWxkTrZu0gW--
```

**`Request syntax`**

```http title="Request syntax"
POST /restapi/2.1/signature/files?uploadType=multipart HTTP/1.1
Host: ...
Content-Length: 427
Content-Type: multipart/form-data;
boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="files"; filename="file1.
json"
Content-Type: application/json
(data)
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="files"; filename="file2.
pdf"
Content-Type: application/pdf
(data)
------WebKitFormBoundary7MA4YWxkTrZu0gW--
```